MyGUI::IStateInfo Class Reference

`#include <MyGUI_IStateInfo.h>`

Inheritance diagram for MyGUI::IStateInfo:
[legend]

## Public Types

typedef RTTIBase | Base
typedef IStateInfo | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
virtual void | deserialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 16 of file MyGUI_IStateInfo.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::IStateInfo::Base

Definition at line 18 of file MyGUI_IStateInfo.h.

## RTTIBase

typedef IStateInfo MyGUI::IStateInfo::RTTIBase

Definition at line 18 of file MyGUI_IStateInfo.h.

## Member Function Documentation

## getClassTypeName()

std::string_view MyGUI::IStateInfo::getClassTypeName | ( |  | ) |

inline static

Definition at line 18 of file MyGUI_IStateInfo.h.

## getTypeName()

virtual std::string_view MyGUI::IStateInfo::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::RotatingSkinStateInfo, MyGUI::SubSkinStateInfo, and MyGUI::TileRectStateInfo.

Definition at line 18 of file MyGUI_IStateInfo.h.

## isType() [1/2]

template<typename Type>

bool MyGUI::IStateInfo::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 18 of file MyGUI_IStateInfo.h.

## isType() [2/2]

virtual bool MyGUI::IStateInfo::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::RotatingSkinStateInfo, MyGUI::SubSkinStateInfo, and MyGUI::TileRectStateInfo.

Definition at line 18 of file MyGUI_IStateInfo.h.

The documentation for this class was generated from the following file:

- MyGUI_IStateInfo.h